Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class StepDeltaRule

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.SupervisedLearning
                      org.neuroph.nnet.learning.LMS
                          org.neuroph.nnet.learning.StepDeltaRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class StepDeltaRule

extends LMS

Delta rule learning algorithm for perceptrons with step functions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.SupervisedLearning
`maxError, totalNetworkError`

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`StepDeltaRule()` Creates new StepDeltaRule learning
`StepDeltaRule(NeuralNetwork neuralNetwork)` Creates new StepDeltaRule learning for the specified neural network

Method Summary
`java.lang.Double` | `getE()` Gets the e parametar
`void` | `setE(java.lang.Double e)` Sets the e parametar
`protected void` | `updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)` This method implements weight update procedure for the whole network for this learning rule

Methods inherited from class org.neuroph.nnet.learning.LMS
`updateNeuronWeights, updateTotalNetworkError`

Methods inherited from class org.neuroph.core.learning.SupervisedLearning
`doLearningEpoch, getPatternError, getTotalNetworkError, learnPattern, setMaxError`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`getCurrentIteration, getLearningRate, learn, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepDeltaRule

    public StepDeltaRule()

  Creates new StepDeltaRule learning

### StepDeltaRule

    public StepDeltaRule(NeuralNetwork neuralNetwork)

  Creates new StepDeltaRule learning for the specified neural network

  Parameters:
    `neuralNetwork` -

Method Detail

### updateNetworkWeights

    protected void updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)

  This method implements weight update procedure for the whole network for this learning rule

  Overrides:
    `updateNetworkWeights` in class `LMS`
  Parameters:
    `patternError` - single pattern error vector

### getE

    public java.lang.Double getE()

  Gets the e parametar

  Returns:
    e parametar

### setE

    public void setE(java.lang.Double e)

  Sets the e parametar

  Parameters:
    `e` - the value for e parametar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD